import { MigrationInterface, QueryRunner, Table, TableColumn } from "typeorm";

export class Datarow1731074164993 implements MigrationInterface {

    public async up(queryRunner: QueryRunner): Promise<void> {
        queryRunner.createTable(
            new Table({
                name: 'DataRow',
                columns: [
                    {
                        name: 'id',
                        type: 'bigint',
                        isGenerated: true,
                        isPrimary: true,
                        isNullable: false,
                    },
                    {
                        name: 'data',
                        type: 'varchar',
                        isNullable: false
                    }
                ]
            }),
            true
        )
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        queryRunner.dropTable('DataRow', true)
    }

}
