import { DataRow } from "../../api/DataRow";
import style from './Post.module.scss';

export type PostProps = { row: DataRow, className?: string };
export function Post({ row, className, ...props }: PostProps) {
    return (
        <div id={`post-${row.id} ${className}`} className={style.post} {...props}>
            <pre>{row.data}</pre>
        </div>
    )
}